( cd usr/lib64 ; rm -rf libcolord.so )
( cd usr/lib64 ; ln -sf libcolord.so.2 libcolord.so )
( cd usr/lib64 ; rm -rf libcolord.so.2 )
( cd usr/lib64 ; ln -sf libcolord.so.2.0.5 libcolord.so.2 )
( cd usr/lib64 ; rm -rf libcolordprivate.so )
( cd usr/lib64 ; ln -sf libcolordprivate.so.2 libcolordprivate.so )
( cd usr/lib64 ; rm -rf libcolordprivate.so.2 )
( cd usr/lib64 ; ln -sf libcolordprivate.so.2.0.5 libcolordprivate.so.2 )
( cd usr/lib64 ; rm -rf libcolorhug.so )
( cd usr/lib64 ; ln -sf libcolorhug.so.2 libcolorhug.so )
( cd usr/lib64 ; rm -rf libcolorhug.so.2 )
( cd usr/lib64 ; ln -sf libcolorhug.so.2.0.5 libcolorhug.so.2 )

## insertroleaccount accountname [uid] [gid]
##   This routine will create a role account on the system with the uid (and
##   optional gid) specified.  It will check to make sure that the id names
##   are not duplicated but relies on useradd and groupadd to emit errors if
##   the numeric ids would be non-unique.  Although they are optional, it is
##   recommended that the uid and gid fields be specified since Slackware
##   makes an assumption that role accounts will have ids below 100, and left
##   unspecified useradd will pick a uid above 1000.
##
insertroleaccount ()
{
  local rolename=$1 uid=$2 gid=${3:-$2}
  local tmp exists

  while read ; do
    tmp=`echo $REPLY | cut -d: -f1`
    if [ "$tmp" = "$rolename" ]; then
      exists='y'
      break
    fi
  done < $ROOT/etc/group

  if [ "$exists" != 'y' ]; then
    chroot /$ROOT /usr/sbin/groupadd ${gid:+-g $gid} $rolename
    exists='n'
  fi

  while read ; do
    tmp=`echo $REPLY | cut -d: -f1`
    if [ "$tmp" = "$rolename" ]; then
      exists='y'
      break
    fi
  done < $ROOT/etc/passwd

  if [ "$exists" != 'y' ]; then
    chroot /$ROOT /usr/sbin/useradd ${uid:+-u $uid} $rolename -g $rolename -s /bin/false -d / -c "$rolename role account"
  fi
}

insertroleaccount colord 73 73

# Fix permissions
chroot . /bin/chown colord.colord /var/lib/colord
chroot . /bin/chown colord.colord /var/lib/colord/icc
if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
     chroot . /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
